Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface OligoProbe

All Superinterfaces:
  Persistent, java.io.Serializable

public interface OligoProbe
extends Persistent

An oligo spot from one or more microarrays. OligoProbes are grouped into probe sets and the same probe in the same set can appear in multiple arrays.

Author:
  Craig Melsopp

Method Summary
`void` | `addArrayWithProbeName(OligoArray array, java.lang.String name)` Adds the array-probename pair to the probe.
`java.util.List` | `getArraysContainingThisProbe()` All microarrays that contain this probe.
`java.lang.String` | `getDescription()` Probe description.
`int` | `getLength()` Length of probe in bases.
`java.lang.String` | `getNameInArray(OligoArray array)` Name of this probe in specified microarray.
`java.util.List` | `getOligoFeatures()` The places where this probe appears on the genome.
`java.lang.String` | `getProbeSetName()` Name of the probeset this probe belongs to.
`java.lang.String` | `getQualifiedName(OligoArray array)` Return the name of this probe when it's parent is _array_.
`java.lang.String[]` | `getQualifiedNames()` All the possible names of this probe based on it's parent arrays.
`java.util.List` | `getUniqueOligoFeatureLocations()` Locations where this probe hits the genome.
`boolean` | `isProbeInArray(OligoArray array)` Whether this probe appears in the array.

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getArraysContainingThisProbe

    public java.util.List getArraysContainingThisProbe()

  All microarrays that contain this probe.

  Returns:
    zero or more microarrays.
  See Also:
    `OligoArray`

### getQualifiedName

    public java.lang.String getQualifiedName(OligoArray array)

  Return the name of this probe when it's parent is _array_. String format: arrayName:probesetName:probeName

  Parameters:
    `array` - parent array.
  Returns:
    fully qualified name of this probe or null if array is not one of it's parent arrays.
  See Also:
    `getQualifiedNames()`

### getQualifiedNames

    public java.lang.String[] getQualifiedNames()

  All the possible names of this probe based on it's parent arrays. For each parent array the string format is: arrayName:probesetName:probeName

  Returns:
    zero or more fully qualified names.
  See Also:
    `getQualifiedName(OligoArray)`

### getNameInArray

    public java.lang.String getNameInArray(OligoArray array)

  Name of this probe in specified microarray. This is last "component" of the probe's qualified names.

  Parameters:
    `array` - microarray where this probe appears.
  Returns:
    name of this probe in the specified array, null if it does not appear in the array.

### getProbeSetName

    public java.lang.String getProbeSetName()

  Name of the probeset this probe belongs to.

  Returns:
    Name of the probeset this probe belongs to.

### getOligoFeatures

    public java.util.List getOligoFeatures()

  The places where this probe appears on the genome.

  Returns:
    zero or more OligoFeatures.
  See Also:
    `OligoFeature`

### getUniqueOligoFeatureLocations

    public java.util.List getUniqueOligoFeatureLocations()

  Locations where this probe hits the genome. Derived from the oligoFeatures.

  Returns:
    list of zero or more unique locations that represent the location of every oligoFeature in the Probe.

### addArrayWithProbeName

    public void addArrayWithProbeName(OligoArray array,
                                      java.lang.String name)

  Adds the array-probename pair to the probe. Probes can have different names in different microarrays.

  Parameters:
    `array` - microarray.
    `name` - probe name in the specified array.

### isProbeInArray

    public boolean isProbeInArray(OligoArray array)

  Whether this probe appears in the array.

  Parameters:
    `array` - microarray.
  Returns:
    true is this probe appears in the array, otherwise false.

### getLength

    public int getLength()

  Length of probe in bases.

  Returns:
    probe length.

### getDescription

    public java.lang.String getDescription()

  Probe description.

  Returns:
    probe description, can be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD